DefinitionTagSupport (Apache Struts API Documentation)
Keywords: org.apache.struts.taglib.tiles.DefinitionTagSupport,DefinitionTagSupport class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.taglib.tiles
Class DefinitionTagSupport

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--org.apache.struts.taglib.tiles.DefinitionTagSupport

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.Tag

Direct Known Subclasses:
  DefinitionTag, InsertTag

public class DefinitionTagSupport
extends javax.servlet.jsp.tagext.TagSupport
implements java.io.Serializable

Common base class for tags dealing with Tiles definitions. This class defines properties used in Definition Tags. It also extends TagSupport.

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `controllerName` Associated Controller name (classname or url)
`protected java.lang.String` | `controllerType` Associated Controller type
`protected java.lang.String` | `page` Uri of page assoicated to this definition.
`protected java.lang.String` | `role` Role associated to definition.

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`DefinitionTagSupport()`

Method Summary
`java.lang.String` | `getControllerName()` Get controller name.
`java.lang.String` | `getControllerType()` Get controller type.
`java.lang.String` | `getPage()` Get the page.
`java.lang.String` | `getRole()` Get associated role.
`java.lang.String` | `getTemplate()` Get the template.
`void` | `release()` Release class properties.
`void` | `setController(java.lang.String controller)` Set associated controller name.
`void` | `setControllerClass(java.lang.String controller)` Set associated controller name as a classtype and controller type as "classname".
`void` | `setControllerName(java.lang.String controller)` Set associated controller name.
`void` | `setControllerType(java.lang.String controllerType)` Set associated controller type.
`void` | `setControllerUrl(java.lang.String controller)` Set associated controller name as an url, and controller type as "url".
`void` | `setPage(java.lang.String page)` Set the page.
`void` | `setRole(java.lang.String role)` Set associated role.
`void` | `setTemplate(java.lang.String template)` Set the template.

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doEndTag, doStartTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### controllerType

    protected java.lang.String controllerType

  Associated Controller type

### controllerName

    protected java.lang.String controllerName

  Associated Controller name (classname or url)

### role

    protected java.lang.String role

  Role associated to definition.

### page

    protected java.lang.String page

  Uri of page assoicated to this definition.

Constructor Detail

### DefinitionTagSupport

    public DefinitionTagSupport()

Method Detail

### release

    public void release()

  Release class properties.

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `javax.servlet.jsp.tagext.TagSupport`

### getControllerType

    public java.lang.String getControllerType()

  Get controller type. Type can be 'classname', 'url'.

  Returns:
    Controller type.

### getControllerName

    public java.lang.String getControllerName()

  Get controller name. Name denotes a fully qualified classname, or an url. Exact type can be specified with `setControllerType(java.lang.String)`.

  Returns:
    Controller name.

### setControllerType

    public void setControllerType(java.lang.String controllerType)

  Set associated controller type. Type denotes a fully qualified classname.

  Parameters:
    `controllerType` - Type of associated controller.

### setController

    public void setController(java.lang.String controller)

  Set associated controller name. Name denotes a fully qualified classname, or an url. Exact type can be specified with `setControllerType(java.lang.String)`.

  Parameters:
    `controller` - Controller classname or url.

### setControllerName

    public void setControllerName(java.lang.String controller)

  Set associated controller name. Name denote a fully qualified classname, or an url. Exact type can be specified with setControllerType.

  Parameters:
    `controller` - Controller classname or url

### setControllerUrl

    public void setControllerUrl(java.lang.String controller)

  Set associated controller name as an url, and controller type as "url". Name must be an url (not checked). Convenience method.

  Parameters:
    `controller` - Controller url

### setControllerClass

    public void setControllerClass(java.lang.String controller)

  Set associated controller name as a classtype and controller type as "classname". Name denotes a fully qualified classname. Convenience method.

  Parameters:
    `controller` - Controller classname.

### getRole

    public java.lang.String getRole()

  Get associated role.

  Returns:
    Associated role.

### setRole

    public void setRole(java.lang.String role)

  Set associated role.

  Parameters:
    `role` - Associated role.

### setPage

    public void setPage(java.lang.String page)

  Set the page.

  Parameters:
    `page` - Page.

### getPage

    public java.lang.String getPage()

  Get the page.

  Returns:
    Page.

### getTemplate

    public java.lang.String getTemplate()

  Get the template. Same as getPage().

  Returns:
    Template.

### setTemplate

    public void setTemplate(java.lang.String template)

  Set the template. Same as setPage().

  Parameters:
    `template` - Template.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 - Apache Software Foundation